NX Open C++ Reference Guide
Public Types | Public Member Functions | List of all members
NXOpen::Features::LawExtensionBuilder Class Reference

Represents a NXOpen::Features::LawExtension builder
To create a new instance of this class, use NXOpen::Features::FeatureCollection::CreateLawExtensionBuilder
Default values. More...

Inheritance diagram for NXOpen::Features::LawExtensionBuilder:
NXOpen::Features::FeatureBuilder NXOpen::Builder NXOpen::TaggedObject NXOpen::GeometricUtilities::IComponentBuilder

Public Types

enum  OppositeSideExtensionOptions { OppositeSideExtensionOptionsNone, OppositeSideExtensionOptionsSymmetric, OppositeSideExtensionOptionsAsymmetric }
 Opposite side extension options. More...
 
enum  Types { TypesFaces, TypesVector }
 Law extension creation types. More...
 

Public Member Functions

NXOpen::GeometricUtilities::LawBuilderAngleLaw ()
 Returns the angle law
Created in NX6.0.0. More...
 
double AngleTolerance ()
 Returns the angle tolerance
Created in NX6.0.0. More...
 
NXOpen::SectionBaseProfile ()
 Returns the base profile
Created in NX6.0.0. More...
 
double DistanceTolerance ()
 Returns the distance tolerance
Created in NX6.0.0. More...
 
NXOpen::ScCollectorFaces ()
 Returns the faces. More...
 
bool IsReferenceFaceNormalReversed ()
 Returns a value indicating whether to reverse the reference face normal. More...
 
NXOpen::GeometricUtilities::LawBuilderLengthLaw ()
 Returns the length law
Created in NX6.0.0. More...
 
bool MergeFacesIfPossible ()
 Returns a value indicating whether to merge the faces if possible
Created in NX6.0.0. More...
 
NXOpen::Features::LawExtensionBuilder::OppositeSideExtensionOptions OppositeSideExtensionOption ()
 Returns the opposite side extension option
Created in NX6.0.0. More...
 
NXOpen::GeometricUtilities::LawBuilderOppositeSideLengthLaw ()
 Returns the opposite side length law. More...
 
NXOpen::GeometricUtilities::RebuildRebuild ()
 Returns the rebuild data. More...
 
void SetAngleTolerance (double angleTolerance)
 Sets the angle tolerance
Created in NX6.0.0. More...
 
void SetDistanceTolerance (double distanceTolerance)
 Sets the distance tolerance
Created in NX6.0.0. More...
 
void SetMergeFacesIfPossible (bool mergeFacesIfPossible)
 Sets a value indicating whether to merge the faces if possible
Created in NX6.0.0. More...
 
void SetOppositeSideExtensionOption (NXOpen::Features::LawExtensionBuilder::OppositeSideExtensionOptions oppositeSideExtension)
 Sets the opposite side extension option
Created in NX6.0.0. More...
 
void SetReferenceFaceNormalReversed (bool reverseNormal)
 Sets a value indicating whether to reverse the reference face normal. More...
 
void SetType (NXOpen::Features::LawExtensionBuilder::Types type)
 Sets the type
Created in NX6.0.0. More...
 
void SetVector (NXOpen::Direction *vector)
 Sets the vector. More...
 
NXOpen::SectionSpine ()
 Returns the spine. More...
 
NXOpen::Features::LawExtensionBuilder::Types Type ()
 Returns the type
Created in NX6.0.0. More...
 
NXOpen::DirectionVector ()
 Returns the vector. More...
 
- Public Member Functions inherited from NXOpen::Features::FeatureBuilder
NXOpen::Features::FeatureCommitFeature ()
 Commits the feature parameters and creates the feature. More...
 
NXOpen::Features::FeatureGetFeature ()
 Returns the feature currently being edited by this builder. More...
 
void HideInternalParentFeatureAfterEdit (NXOpen::Features::Feature *parentFeature)
 Re-suppress an internal parent feature (a slave feature) after it has been edited. More...
 
bool ParentFeatureInternal ()
 Returns whether or not the latest timestamped parent feature of this feature should be made internal
Created in NX5.0.0. More...
 
bool PatchSolutionFlag ()
 Returns the patch solution flag
Created in NX8.0.1. More...
 
NXString PatchSurfaceFilename ()
 Returns the patch surface filename
Created in NX8.0.1. More...
 
void SetParentFeatureInternal (NXOpen::Features::Feature *parentFeature)
 Set the parent features which would be internal or slaves to the feature being created or commited
Created in NX6.0.0. More...
 
void SetParentFeatureInternal (bool isInternal)
 Sets whether or not the latest timestamped parent feature of this feature should be made internal
Created in NX5.0.0. More...
 
void SetPatchSolutionFlag (bool optionValue)
 Sets the patch solution flag
Created in NX8.0.1. More...
 
void SetPatchSurfaceFilename (const NXString &surfaceFilename)
 Sets the patch surface filename
Created in NX8.0.1. More...
 
void SetPatchSurfaceFilename (const char *surfaceFilename)
 Sets the patch surface filename
Created in NX8.0.1. More...
 
void SetSurroundingPatchSurfaceFilename (const NXString &surroundingSurfaceFilename)
 Sets the surrounding patch surface filename
Created in NX8.0.1. More...
 
void SetSurroundingPatchSurfaceFilename (const char *surroundingSurfaceFilename)
 Sets the surrounding patch surface filename
Created in NX8.0.1. More...
 
void ShowInternalParentFeatureForEdit (NXOpen::Features::Feature *parentFeature)
 Unsuppress an internal parent feature (a slave feature) so it can be edited. More...
 
NXString SurroundingPatchSurfaceFilename ()
 Returns the surrounding patch surface filename
Created in NX8.0.1. More...
 
void UnsetParentFeatureInternal (NXOpen::Features::Feature *parentFeature)
 Set the internal parent feature of the feature being edited to external
Created in NX6.0.0. More...
 
- Public Member Functions inherited from NXOpen::Builder
NXOpen::NXObjectCommit ()
 Commits any edits that have been applied to the builder. More...
 
void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
std::vector< NXOpen::NXObject * > GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
NXOpen::NXObjectGetObject ()
 Returns the object currently being edited by this builder. More...
 
void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
virtual bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen::TaggedObject
tag_t Tag () const
 Returns the tag of this object. More...
 

Detailed Description

Represents a NXOpen::Features::LawExtension builder
To create a new instance of this class, use NXOpen::Features::FeatureCollection::CreateLawExtensionBuilder
Default values.

Property Value

AngleLaw.Function

ft

AngleLaw.LawType

MultiTransition

AngleLaw.Parameter

t

LengthLaw.LawType

MultiTransition

MergeFacesIfPossible

True

OppositeSideLengthLaw.LawType

MultiTransition

Rebuild.Degree

3

Rebuild.RebuildType

None


Created in NX6.0.0.

Member Enumeration Documentation

Opposite side extension options.

Enumerator
OppositeSideExtensionOptionsNone 

No extension on opposite side.

OppositeSideExtensionOptionsSymmetric 

Symmetric extension.

OppositeSideExtensionOptionsAsymmetric 

Asymmetric extension.

Law extension creation types.

Enumerator
TypesFaces 

Reference faces.

TypesVector 

Reference vector.

Member Function Documentation

NXOpen::GeometricUtilities::LawBuilder* NXOpen::Features::LawExtensionBuilder::AngleLaw ( )

Returns the angle law
Created in NX6.0.0.



License requirements : solid_modeling ("SOLIDS MODELING") OR free_form_modeling ("FREE-FORM MODELING")

double NXOpen::Features::LawExtensionBuilder::AngleTolerance ( )

Returns the angle tolerance
Created in NX6.0.0.



License requirements : solid_modeling ("SOLIDS MODELING") OR free_form_modeling ("FREE-FORM MODELING")

NXOpen::Section* NXOpen::Features::LawExtensionBuilder::BaseProfile ( )

Returns the base profile
Created in NX6.0.0.



License requirements : solid_modeling ("SOLIDS MODELING") OR free_form_modeling ("FREE-FORM MODELING")

double NXOpen::Features::LawExtensionBuilder::DistanceTolerance ( )

Returns the distance tolerance
Created in NX6.0.0.



License requirements : solid_modeling ("SOLIDS MODELING") OR free_form_modeling ("FREE-FORM MODELING")

NXOpen::ScCollector* NXOpen::Features::LawExtensionBuilder::Faces ( )

Returns the faces.

Faces are used only when NXOpen::Features::LawExtensionBuilder::Types is NXOpen::Features::LawExtensionBuilder::TypesFaces . The faces must be sew able to form a single sheet body. The normal of the sewed sheet body and base profile direction provide local reference co-ordinate system for the orientation of the surface rule lines.
Created in NX6.0.0.

License requirements : solid_modeling ("SOLIDS MODELING") OR free_form_modeling ("FREE-FORM MODELING")

bool NXOpen::Features::LawExtensionBuilder::IsReferenceFaceNormalReversed ( )

Returns a value indicating whether to reverse the reference face normal.

When NXOpen::Features::LawExtensionBuilder::Types is NXOpen::Features::LawExtensionBuilder::TypesFaces , the input faces are sewed to form a single sheet body. The normal of the sheet body is decided based on the face which is nearest to the parametric mid point of the base profile and acts as the reference face normal.
Created in NX6.0.0.

License requirements : solid_modeling ("SOLIDS MODELING") OR free_form_modeling ("FREE-FORM MODELING")

NXOpen::GeometricUtilities::LawBuilder* NXOpen::Features::LawExtensionBuilder::LengthLaw ( )

Returns the length law
Created in NX6.0.0.



License requirements : solid_modeling ("SOLIDS MODELING") OR free_form_modeling ("FREE-FORM MODELING")

bool NXOpen::Features::LawExtensionBuilder::MergeFacesIfPossible ( )

Returns a value indicating whether to merge the faces if possible
Created in NX6.0.0.



License requirements : solid_modeling ("SOLIDS MODELING") OR free_form_modeling ("FREE-FORM MODELING")

NXOpen::Features::LawExtensionBuilder::OppositeSideExtensionOptions NXOpen::Features::LawExtensionBuilder::OppositeSideExtensionOption ( )

Returns the opposite side extension option
Created in NX6.0.0.



License requirements : solid_modeling ("SOLIDS MODELING") OR free_form_modeling ("FREE-FORM MODELING")

NXOpen::GeometricUtilities::LawBuilder* NXOpen::Features::LawExtensionBuilder::OppositeSideLengthLaw ( )

Returns the opposite side length law.

Opposite side extension law is required only when NXOpen::Features::LawExtensionBuilder::OppositeSideExtensionOptions is NXOpen::Features::LawExtensionBuilder::OppositeSideExtensionOptionsAsymmetric
Created in NX6.0.0.

License requirements : solid_modeling ("SOLIDS MODELING") OR free_form_modeling ("FREE-FORM MODELING")

NXOpen::GeometricUtilities::Rebuild* NXOpen::Features::LawExtensionBuilder::Rebuild ( )

Returns the rebuild data.

This data is used to rebuild the surface in the base profile direction.
Created in NX6.0.0.

License requirements : solid_modeling ("SOLIDS MODELING") OR free_form_modeling ("FREE-FORM MODELING")

void NXOpen::Features::LawExtensionBuilder::SetAngleTolerance ( double  angleTolerance)

Sets the angle tolerance
Created in NX6.0.0.



License requirements : solid_modeling ("SOLIDS MODELING") OR free_form_modeling ("FREE-FORM MODELING")

Parameters
angleToleranceangletolerance
void NXOpen::Features::LawExtensionBuilder::SetDistanceTolerance ( double  distanceTolerance)

Sets the distance tolerance
Created in NX6.0.0.



License requirements : solid_modeling ("SOLIDS MODELING") OR free_form_modeling ("FREE-FORM MODELING")

Parameters
distanceTolerancedistancetolerance
void NXOpen::Features::LawExtensionBuilder::SetMergeFacesIfPossible ( bool  mergeFacesIfPossible)

Sets a value indicating whether to merge the faces if possible
Created in NX6.0.0.



License requirements : solid_modeling ("SOLIDS MODELING") OR free_form_modeling ("FREE-FORM MODELING")

Parameters
mergeFacesIfPossiblemergefacesifpossible
void NXOpen::Features::LawExtensionBuilder::SetOppositeSideExtensionOption ( NXOpen::Features::LawExtensionBuilder::OppositeSideExtensionOptions  oppositeSideExtension)

Sets the opposite side extension option
Created in NX6.0.0.



License requirements : solid_modeling ("SOLIDS MODELING") OR free_form_modeling ("FREE-FORM MODELING")

Parameters
oppositeSideExtensionoppositesideextension
void NXOpen::Features::LawExtensionBuilder::SetReferenceFaceNormalReversed ( bool  reverseNormal)

Sets a value indicating whether to reverse the reference face normal.

When NXOpen::Features::LawExtensionBuilder::Types is NXOpen::Features::LawExtensionBuilder::TypesFaces , the input faces are sewed to form a single sheet body. The normal of the sheet body is decided based on the face which is nearest to the parametric mid point of the base profile and acts as the reference face normal.
Created in NX6.0.0.

License requirements : solid_modeling ("SOLIDS MODELING") OR free_form_modeling ("FREE-FORM MODELING")

Parameters
reverseNormalreversenormal
void NXOpen::Features::LawExtensionBuilder::SetType ( NXOpen::Features::LawExtensionBuilder::Types  type)

Sets the type
Created in NX6.0.0.



License requirements : solid_modeling ("SOLIDS MODELING") OR free_form_modeling ("FREE-FORM MODELING")

Parameters
typetype
void NXOpen::Features::LawExtensionBuilder::SetVector ( NXOpen::Direction vector)

Sets the vector.

Vector is used only when NXOpen::Features::LawExtensionBuilder::Types is NXOpen::Features::LawExtensionBuilder::TypesVector
Created in NX6.0.0.

License requirements : solid_modeling ("SOLIDS MODELING") OR free_form_modeling ("FREE-FORM MODELING")

Parameters
vectorvector
NXOpen::Section* NXOpen::Features::LawExtensionBuilder::Spine ( )

Returns the spine.

Spine is optional
Created in NX6.0.0.

License requirements : solid_modeling ("SOLIDS MODELING") OR free_form_modeling ("FREE-FORM MODELING")

NXOpen::Features::LawExtensionBuilder::Types NXOpen::Features::LawExtensionBuilder::Type ( )

Returns the type
Created in NX6.0.0.



License requirements : solid_modeling ("SOLIDS MODELING") OR free_form_modeling ("FREE-FORM MODELING")

NXOpen::Direction* NXOpen::Features::LawExtensionBuilder::Vector ( )

Returns the vector.

Vector is used only when NXOpen::Features::LawExtensionBuilder::Types is NXOpen::Features::LawExtensionBuilder::TypesVector
Created in NX6.0.0.

License requirements : solid_modeling ("SOLIDS MODELING") OR free_form_modeling ("FREE-FORM MODELING")


The documentation for this class was generated from the following file:
Copyright 2017 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.